Index: bsps/arm/lpc24xx/config/lpc17xx.inc
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx.inc	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx.inc	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,15 @@
+#
+# Config file for LPC17XX.
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU = arm
+
+CPU_CFLAGS = -march=armv7-m -mthumb
+
+CFLAGS_OPTIMIZE_V = -O2 -g
+CFLAGS_OPTIMIZE_V += -ffunction-sections -fdata-sections
+
+LDFLAGS = -Wl,--gc-sections
+
Index: bsps/arm/lpc24xx/config/lpc17xx_ea_ram.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx_ea_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx_ea_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+# Config file for LPC1788 OEM Board from Embedded Artists.
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc17xx.inc
Index: bsps/arm/lpc24xx/config/lpc17xx_ea_rom_int-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx_ea_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx_ea_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,8 @@
+#
+# lpc17xx_ea_rom_int RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+exclude: fsdosfsname01
Index: bsps/arm/lpc24xx/config/lpc17xx_ea_rom_int.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx_ea_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx_ea_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+# Config file for LPC1788 OEM Board from Embedded Artists.
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc17xx.inc
Index: bsps/arm/lpc24xx/config/lpc17xx_plx800_ram.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx_plx800_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx_plx800_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC17XX (PLX800).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc17xx.inc
Index: bsps/arm/lpc24xx/config/lpc17xx_plx800_rom_int-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx_plx800_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx_plx800_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,8 @@
+#
+# lpc17xx_plx800_rom_int RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+exclude: fsdosfsname01
Index: bsps/arm/lpc24xx/config/lpc17xx_plx800_rom_int.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc17xx_plx800_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc17xx_plx800_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC17XX (PLX800).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc17xx.inc
Index: bsps/arm/lpc24xx/config/lpc2362-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc2362-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc2362-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,41 @@
+#
+# lpc2362 RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+include: testdata/disable-jffs2-tests.tcfg
+include: testdata/disable-mrfs-tests.tcfg
+
+exclude: capture
+exclude: cdtest
+exclude: dl01
+exclude: dl02
+exclude: dl04
+exclude: dl05
+exclude: dl06
+exclude: fileio
+exclude: flashdisk01
+exclude: fsrofs01
+exclude: fsdosfsname01
+exclude: fsdosfsformat01
+exclude: fsrfsbitmap01
+exclude: ftp01
+exclude: iostream
+exclude: linpack
+exclude: loopback
+exclude: math
+exclude: mdosfs_fserror
+exclude: mghttpd01
+exclude: monitor02
+exclude: mdosfs_fsrdwr
+exclude: paranoia
+exclude: pppd
+exclude: rtems++
+exclude: shell01
+exclude: spstkalloc02
+exclude: sptls02
+exclude: syscall01
+exclude: tmfine01
+exclude: utf8proc01
Index: bsps/arm/lpc24xx/config/lpc2362.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc2362.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc2362.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC2362.
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc23xx_tli800-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc23xx_tli800-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc23xx_tli800-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,52 @@
+#
+# lpc23xx_tli800 RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+include: testdata/disable-jffs2-tests.tcfg
+include: testdata/disable-mrfs-tests.tcfg
+
+exclude: capture
+exclude: cdtest
+exclude: complex
+exclude: crypt01
+exclude: dl01
+exclude: dl02
+exclude: dl04
+exclude: dl05
+exclude: dl06
+exclude: fileio
+exclude: flashdisk01
+exclude: fsdosfsformat01
+exclude: fsdosfsname01
+exclude: fsdosfswrite01
+exclude: fsrfsbitmap01
+exclude: fsrofs01
+exclude: ftp01
+exclude: iostream
+exclude: linpack
+exclude: loopback
+exclude: math
+exclude: mathf
+exclude: mdosfs_fserror
+exclude: mdosfs_fsscandir01
+exclude: mghttpd01
+exclude: monitor
+exclude: monitor02
+exclude: mdosfs_fsrdwr
+exclude: mdosfs_fspatheval
+exclude: mdosfs_fstime
+exclude: paranoia
+exclude: pppd
+exclude: psxmsgq01
+exclude: rtems++
+exclude: shell01
+exclude: sptls02
+exclude: spstkalloc02
+exclude: syscall01
+exclude: tar01
+exclude: termios
+exclude: tmfine01
+exclude: utf8proc01
Index: bsps/arm/lpc24xx/config/lpc23xx_tli800.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc23xx_tli800.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc23xx_tli800.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for TLI800.
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc24xx.inc
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx.inc	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx.inc	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,14 @@
+#
+#  Config file for LPC24XX.
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU = arm
+
+CPU_CFLAGS = -mcpu=arm7tdmi-s -mthumb
+
+CFLAGS_OPTIMIZE_V = -Os -g
+CFLAGS_OPTIMIZE_V += -ffunction-sections -fdata-sections
+
+LDFLAGS = -Wl,--gc-sections
Index: bsps/arm/lpc24xx/config/lpc24xx_ea.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_ea.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_ea.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,12 @@
+#
+#  Config file for LPC24XX (QVGA Base Board from Embedded Artists).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
+
+# define bsp-post-link
+# 	$(OBJCOPY) -O binary '$@' '$(basename $@).bin'
+# 	gzip -f -9 '$(basename $@).bin'
+# 	mkimage -A arm -O rtems -T kernel -C gzip -a a0000000 -e a0000040 -name '$(notdir $@)' -d '$(basename $@).bin.gz' '$(basename $@).img'
+# 	$(default-bsp-post-link)
+# endef
Index: bsps/arm/lpc24xx/config/lpc24xx_ncs_ram.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_ncs_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_ncs_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC24XX (NCS).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_ext.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_ext.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_ext.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC24XX (NCS).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_int-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,8 @@
+#
+# lpc24xx_ncs_rom_int RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+exclude: fsdosfsname01
Index: bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_int.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_ncs_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC24XX (NCS).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc24xx_plx800_ram.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_plx800_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_plx800_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC24XX (PLX800).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc24xx_plx800_rom_int-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_plx800_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_plx800_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,8 @@
+#
+# lpc24xx_plx800_rom_int RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+exclude: fsdosfsname01
Index: bsps/arm/lpc24xx/config/lpc24xx_plx800_rom_int.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc24xx_plx800_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc24xx_plx800_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+#  Config file for LPC24XX (PLX800).
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc24xx.inc
Index: bsps/arm/lpc24xx/config/lpc40xx.inc
===================================================================
--- bsps/arm/lpc24xx/config/lpc40xx.inc	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc40xx.inc	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,14 @@
+#
+# Config file for LPC40XX.
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU = arm
+
+CPU_CFLAGS = -mthumb -march=armv7-m -mfpu=fpv4-sp-d16 -mfloat-abi=hard -mtune=cortex-m4
+
+CFLAGS_OPTIMIZE_V = -O2 -g
+CFLAGS_OPTIMIZE_V += -ffunction-sections -fdata-sections
+
+LDFLAGS = -Wl,--gc-sections
Index: bsps/arm/lpc24xx/config/lpc40xx_ea_ram.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc40xx_ea_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc40xx_ea_ram.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+# Config file for LPC40XX OEM Board from Embedded Artists.
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc40xx.inc
Index: bsps/arm/lpc24xx/config/lpc40xx_ea_rom_int-testsuite.tcfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc40xx_ea_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc40xx_ea_rom_int-testsuite.tcfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,8 @@
+#
+# lpc40xx_ea_rom_int RTEMS Test Database.
+#
+# Format is one line per test that is _NOT_ built.
+#
+
+include: testdata/disable-iconv-tests.tcfg
+exclude: fsdosfsname01
Index: bsps/arm/lpc24xx/config/lpc40xx_ea_rom_int.cfg
===================================================================
--- bsps/arm/lpc24xx/config/lpc40xx_ea_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
+++ bsps/arm/lpc24xx/config/lpc40xx_ea_rom_int.cfg	(revision adb85dd473af5c9a72e9da9b7fe013d1b216abc3)
@@ -0,0 +1,5 @@
+#
+# Config file for LPC40XX OEM Board from Embedded Artists.
+#
+
+include $(RTEMS_ROOT)/make/custom/lpc40xx.inc
